[Snort-users] Snort 2.0.2 Available

Grime, Richard S richard.grime at ...8411...
Thu Sep 18 09:28:09 EDT 2003


A bit more testing reveals that if I use

./configure --enable-flexresp

Then I get the compiles errors as described.  However, stripping this
option out, and compiling with all the rest of them, and the ebuild runs
fine.  Snort 2.0.2 is now happily installed and running.

(And I don't use flexresp anyway, so I'm happy at least :)

-----Original Message-----
From: Grime, Richard S 
Sent: 18 September 2003 15:07
To: Erek Adams
Cc: Pig-A-Holics Anonymous
Subject: RE: [Snort-users] Snort 2.0.2 Available


I'm trying via a bodged (by me) ebuild... In a vain attempt to keep the
dependencies up to date as well.  I ran the emerge rsync this morning,
and an emerge -Up snort-2.0.2.ebuild gives:

snort snort # emerge -Up snort-2.0.2.ebuild
>>> --upgradeonly implies --update... adding --update to options.

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild     U ] net-analyzer/snort-2.0.2 [2.0.0]

Ebuild and digests are attached, but I guess this is getting OT in terms
of being distro. specific.  I'm wondering whether the Gentoo prelude
patch is still relevant, but freely admit to having very little idea of
what I'm talking about.

Cheers,

Richard

-----Original Message-----
From: Erek Adams [mailto:erek at ...950...] 
Sent: 18 September 2003 14:56
To: Grime, Richard S
Cc: Pig-A-Holics Anonymous
Subject: RE: [Snort-users] Snort 2.0.2 Available


On Thu, 18 Sep 2003, Grime, Richard S wrote:

[...snip...]

> This is on a Gentoo system...

Interesting....  This one is a Gentoo as well, but she works fine.  No
edits, no frills, just ./configure && make.

[erek at ...6976...]/usr/local/build/snort-2.0.2>src/snort -V

-*> Snort! <*-
Version 2.0.2 (Build 92)
By Martin Roesch (roesch at ...1935..., www.snort.org)
[erek at ...6976...]/usr/local/build/snort-2.0.2>uname -a
Linux fred 2.4.20-gentoo-r5 #6 Fri Jul 25 21:54:18 EDT 2003 i686 Mobile
Pentium II GenuineIntel GNU/Linux
[erek at ...6976...]/usr/local/build/snort-2.0.2>gcc -v
Reading specs from /usr/lib/gcc-lib/i686-pc-linux-gnu/3.2.3/specs
Configured with: /var/tmp/portage/gcc-3.2.3-r1/work/gcc-3.2.3/configure
--prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/3.2
--includedir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.2.3/include
--datadir=/usr/share/gcc-data/i686-pc-linux-gnu/3.2
--mandir=/usr/share/gcc-data/i686-pc-linux-gnu/3.2/man
--infodir=/usr/share/gcc-data/i686-pc-linux-gnu/3.2/info --enable-shared
--host=i686-pc-linux-gnu --target=i686-pc-linux-gnu --with-system-zlib
--enable-languages=c,c++,ada,f77,objc,java --enable-threads=posix
--enable-long-long --disable-checking --enable-cstdio=stdio
--enable-clocale=generic --enable-__cxa_atexit
--enable-version-specific-runtime-libs
--with-gxx-include-dir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.2.3/include/
g++-v3
--with-local-prefix=/usr/local --enable-shared --enable-nls
--without-included-gettext
Thread model: posix
gcc version 3.2.3 20030422 (Gentoo Linux 1.4 3.2.3-r1, propolice)


-----
Erek Adams

   "When things get weird, the weird turn pro."   H.S. Thompson




More information about the Snort-users mailing list